#include<bits/stdc++.h>
using namespace std;
string s,x;
int a,b;
int main(){
  cin>>s>>a>>b;
  if(a-b>=2 or b-a>=2){
    cout<<"nemoguce";
  }
  else if(a==b){
    for(int i=1;i<=a;i++){
      cout<<s;
    }
  }
  else if(b==a+1){
    cout<<s[1];
      for(int i=1;i<=a;i++){
        cout<<s;
      }
    }
  else{
      for(int i=1;i<=b;i++){
        cout<<s;
      }
      cout<<s[0];
  }
  return 0;
}